<?php

/**
 * Colors Customizer
 */

/**
 * Register the customizer.
 */
function forprofit_colors_customize_register($wp_customize) {

    // Register predefined colors setting
    $wp_customize->add_setting('forprofit_predefined_colors', array(
        'default'           => 'default',
        'sanitize_callback' => 'forprofit_sanitize_select',
    ));
    $wp_customize->add_control('forprofit_predefined_colors', array(
        'label'             => esc_html__('Predefined Colors', 'forprofit'),
        'section'           => 'colors',
        'priority'          => 1,
        'type'              => 'radio',
        'choices'           => array(
            'default' => esc_html__('Default', 'forprofit'),
            'pink'    => esc_html__('Pink', 'forprofit'),
            'purple'  => esc_html__('Purple', 'forprofit'),
            'green'   => esc_html__('Green', 'forprofit'),
            'blue'    => esc_html__('Blue', 'forprofit')
        )
    ));

    // Register accent color setting
    $wp_customize->add_setting('forprofit_accent_color', array(
        'default'           => '#54b5e5',
        'sanitize_callback' => 'forprofit_sanitize_hex_color'
    ));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'forprofit_accent_color', array(
        'label'             => esc_html__('Accent Color', 'forprofit'),
        'description'       => esc_html__('If you think the predefined colors is not good enough, you can use this pallete color to choose what ever color you want', 'forprofit'),
        'section'           => 'colors',
        'priority'          => 3
    )));
}
add_action('customize_register', 'forprofit_colors_customize_register');
