<?php

/**
 * Fonts Customizer
 */

/**
 * Register the customizer.
 */
function forprofit_fonts_customize_register($wp_customize) {

    // Register new section: Fonts
    $wp_customize->add_section('forprofit_fonts', array(
        'title'       => esc_html__('Fonts', 'forprofit'),
        'description' => esc_html__('These options is used for customizing the fonts. The Google Fonts can be found here: https://fonts.google.com/.', 'forprofit'),
        'panel'       => 'forprofit_design',
        'priority'    => 3
    ));

    // Register heading custom text.
    $wp_customize->add_setting('forprofit_heading_font_title', array(
        'sanitize_callback' => 'esc_attr'
    ));
    $wp_customize->add_control(new Forprofit_Custom_Text($wp_customize, 'forprofit_heading_font_title', array(
        'label'             => esc_html__('Heading', 'forprofit'),
        'section'           => 'forprofit_fonts',
        'priority'          => 2
    )));

    // Register heading font setting.
    $wp_customize->add_setting('forprofit_heading_font', array(
        'default'           => 'Poppins:ital,wght@0,400;0,500;0,700;1,400;1,700',
        'sanitize_callback' => 'wp_kses_post',
    ));
    $wp_customize->add_control('forprofit_heading_font', array(
        'description'       => esc_html__('Font name/style/sets', 'forprofit'),
        'section'           => 'forprofit_fonts',
        'priority'          => 3,
        'type'              => 'text'
    ));

    // Register heading font family setting.
    $wp_customize->add_setting('forprofit_heading_font_family', array(
        'default'           => '\'Poppins\', sans-serif',
        'sanitize_callback' => 'wp_kses_post',
    ));
    $wp_customize->add_control('forprofit_heading_font_family', array(
        'description'       => esc_html__('Font family', 'forprofit'),
        'section'           => 'forprofit_fonts',
        'priority'          => 4,
        'type'              => 'text'
    ));

    // Register body custom text.
    $wp_customize->add_setting('forprofit_body_font_title', array(
        'sanitize_callback' => 'esc_attr'
    ));
    $wp_customize->add_control(new Forprofit_Custom_Text($wp_customize, 'forprofit_body_font_title', array(
        'label'             => esc_html__('Body', 'forprofit'),
        'section'           => 'forprofit_fonts',
        'priority'          => 5
    )));

    // Register body font setting.
    $wp_customize->add_setting('forprofit_body_font', array(
        'default'           => 'Poppins:ital,wght@0,400;0,500;0,700;1,400;1,700',
        'sanitize_callback' => 'wp_kses_post',
    ));
    $wp_customize->add_control('forprofit_body_font', array(
        'description'       => esc_html__('Font name/style/sets', 'forprofit'),
        'section'           => 'forprofit_fonts',
        'priority'          => 6,
        'type'              => 'text'
    ));

    // Register body font family setting.
    $wp_customize->add_setting('forprofit_body_font_family', array(
        'default'           => '\'Poppins\', sans-serif',
        'sanitize_callback' => 'wp_kses_post',
    ));
    $wp_customize->add_control('forprofit_body_font_family', array(
        'description'       => esc_html__('Font family', 'forprofit'),
        'section'           => 'forprofit_fonts',
        'priority'          => 7,
        'type'              => 'text'
    ));
}
add_action('customize_register', 'forprofit_fonts_customize_register');
