<?php

/**
 * Footer Customizer
 */

/**
 * Register the customizer.
 */
function forprofit_footer_customize_register($wp_customize) {

    // Register new section: Footer
    $wp_customize->add_section('forprofit_footer', array(
        'title'    => esc_html__('Footer', 'forprofit'),
        'panel'    => 'forprofit_options',
        'priority' => 13
    ));

    // Register right content setting
    $wp_customize->add_setting('forprofit_footer_right_content', array(
        'default'           => 'menu',
        'sanitize_callback' => 'forprofit_sanitize_select',
    ));
    $wp_customize->add_control('forprofit_footer_right_content', array(
        'label'             => esc_html__('Footer Right Content', 'forprofit'),
        'section'           => 'forprofit_footer',
        'priority'          => 9,
        'type'              => 'radio',
        'choices'           => array(
            'top'  => esc_html__('Back to top', 'forprofit'),
            'menu' => esc_html__('Menu', 'forprofit')
        )
    ));

    // Register Footer Credits setting
    $wp_customize->add_setting('forprofit_footer_credits', array(
        'sanitize_callback' => 'forprofit_sanitize_html',
        'default'           => '&copy; Copyright ' . date('Y') . ' - <a href="' . esc_url(home_url()) . '">' . esc_attr(get_bloginfo('name')) . '</a>. All Rights Reserved. <br /> Designed and Developed by <a href="http://www.happythemes.com/">HappyThemes</a>',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('forprofit_footer_credits', array(
        'label'             => esc_html__('Footer Text', 'forprofit'),
        'section'           => 'forprofit_footer',
        'priority'          => 11,
        'type'              => 'textarea'
    ));
    if (isset($wp_customize->selective_refresh)) {
        $wp_customize->selective_refresh->add_partial('forprofit_footer_credits', array(
            'selector'         => '.copyright',
            'settings'         => array('forprofit_footer_credits'),
            'render_callback'  => function () {
                return forprofit_sanitize_textarea(get_theme_mod('forprofit_footer_credits'));
            }
        ));
    }
}
add_action('customize_register', 'forprofit_footer_customize_register');
