<?php

/**
 * General Customizer
 */

/**
 * Register the customizer.
 */
function forprofit_general_customize_register($wp_customize) {

    // Register new section: General
    $wp_customize->add_section('forprofit_general', array(
        'title'    => esc_html__('General', 'forprofit'),
        'panel'    => 'forprofit_options',
        'priority' => 1
    ));

    // Register container setting
    $wp_customize->add_setting('forprofit_container_style', array(
        'default'           => 'fullwidth',
        'sanitize_callback' => 'forprofit_sanitize_select',
    ));
    $wp_customize->add_control('forprofit_container_style', array(
        'label'             => esc_html__('Container', 'forprofit'),
        'section'           => 'forprofit_general',
        'priority'          => 1,
        'type'              => 'radio',
        'choices'           => array(
            'fullwidth' => esc_html__('Full Width', 'forprofit'),
            'boxed'     => esc_html__('Boxed', 'forprofit'),
            'framed'    => esc_html__('Framed', 'forprofit')
        )
    ));

    // Register pagination setting
    $wp_customize->add_setting('forprofit_posts_pagination', array(
        'default'           => 'number',
        'sanitize_callback' => 'forprofit_sanitize_select',
    ));
    $wp_customize->add_control('forprofit_posts_pagination', array(
        'label'             => esc_html__('Pagination type', 'forprofit'),
        'section'           => 'forprofit_general',
        'priority'          => 3,
        'type'              => 'radio',
        'choices'           => array(
            'number'      => esc_html__('Number', 'forprofit'),
            'traditional' => esc_html__('Older / Newer', 'forprofit'),
            'load_more'   => esc_html__('Load More', 'forprofit'),
        )
    ));

    // Register sticky sidebar setting
    $wp_customize->add_setting('forprofit_sticky_sidebar', array(
        'default'           => 1,
        'sanitize_callback' => 'forprofit_sanitize_checkbox',
    ));
    $wp_customize->add_control('forprofit_sticky_sidebar', array(
        'label'             => esc_html__('Enable sticky sidebar', 'forprofit'),
        'section'           => 'forprofit_general',
        'priority'          => 5,
        'type'              => 'checkbox'
    ));

    // Register signature upload setting
    $wp_customize->add_setting('forprofit_signature_image', array(
        'default'           => '',
        'sanitize_callback' => 'forprofit_sanitize_number_absint',
    ));
    $wp_customize->add_control(new WP_Customize_Media_Control($wp_customize, 'forprofit_signature_image', array(
        'label'             => esc_html__('Signature', 'forprofit'),
        'description'       => esc_html__('The signature will appear at the bottom of each post.', 'forprofit'),
        'section'           => 'forprofit_general',
        'priority'          => 7,
        'mime_type'         => 'image',
    )));
}
add_action('customize_register', 'forprofit_general_customize_register');
