<?php

/**
 * Header Customizer
 */

/**
 * Register the customizer.
 */
function forprofit_header_customize_register($wp_customize) {

    // Register new section: Header
    $wp_customize->add_section('forprofit_header', array(
        'title'    => esc_html__('Header', 'forprofit'),
        'panel'    => 'forprofit_options',
        'priority' => 3
    ));

    // Register sticky header setting
    $wp_customize->add_setting('forprofit_sticky_header', array(
        'default'           => 1,
        'sanitize_callback' => 'forprofit_sanitize_checkbox',
    ));
    $wp_customize->add_control('forprofit_sticky_header', array(
        'label'             => esc_html__('Enable sticky header', 'forprofit'),
        'section'           => 'forprofit_header',
        'priority'          => 1,
        'type'              => 'checkbox'
    ));

    // Register search button setting
    $wp_customize->add_setting('forprofit_search_button', array(
        'default'           => 1,
        'sanitize_callback' => 'forprofit_sanitize_checkbox',
    ));
    $wp_customize->add_control('forprofit_search_button', array(
        'label'             => esc_html__('Enable search button', 'forprofit'),
        'section'           => 'forprofit_header',
        'priority'          => 1,
        'type'              => 'checkbox'
    ));
}
add_action('customize_register', 'forprofit_header_customize_register');
