<?php

/**
 * Layouts Customizer
 */

/**
 * Register the customizer.
 */
function forprofit_layouts_customize_register($wp_customize) {

    // Register new section: Layouts
    $wp_customize->add_section('forprofit_layouts', array(
        'title'       => esc_html__('Blog Layouts', 'forprofit'),
        'panel'       => 'forprofit_options',
        'priority'    => 2
    ));

    // Register blog layouts setting
    $wp_customize->add_setting('forprofit_blog_layouts', array(
        'default'           => '2c-l-l',
        'sanitize_callback' => 'forprofit_sanitize_select',
    ));
    $wp_customize->add_control('forprofit_blog_layouts', array(
        'label'             => esc_html__('Blog Layout', 'forprofit'),
        'section'           => 'forprofit_layouts',
        'priority'          => 1,
        'type'              => 'radio',
        'active_callback'   => 'is_home',
        'choices'           => array(
            '2c-l'   => esc_html__('Default right sidebar', 'forprofit'),
            '2c-r'   => esc_html__('Default left sidebar', 'forprofit'),
            '1c-n'   => esc_html__('Default no sidebar', 'forprofit'),
            '2c-l-l' => esc_html__('List right sidebar', 'forprofit'),
            '2c-r-l' => esc_html__('List left sidebar', 'forprofit'),
            '1c-l'   => esc_html__('List no sidebar wide', 'forprofit'),
            '1c-n-l' => esc_html__('List no sidebar narrow', 'forprofit')
        ),
    ));
}
add_action('customize_register', 'forprofit_layouts_customize_register');
