<?php

/**
 * Page Customizer
 */

/**
 * Register the customizer.
 */
function forprofit_page_customize_register($wp_customize) {

    // Register new section: Page
    $wp_customize->add_section('forprofit_page', array(
        'title'    => esc_html__('Pages', 'forprofit'),
        'panel'    => 'forprofit_options',
        'priority' => 7
    ));

    // Register page layouts setting
    $wp_customize->add_setting('forprofit_page_layouts', array(
        'default'           => '2c-l',
        'sanitize_callback' => 'forprofit_sanitize_select',
    ));
    $wp_customize->add_control('forprofit_page_layouts', array(
        'label'             => esc_html__('Post Layout', 'forprofit'),
        'description'       => esc_html__('This setting will change all pages layout.', 'forprofit'),
        'section'           => 'forprofit_page',
        'priority'          => 1,
        'type'              => 'radio',
        'choices'           => array(
            '1c'   => esc_html__('1 Column Wide (Full Width)', 'forprofit'),
            '1c-n' => esc_html__('1 Column Narrow (Full Width)', 'forprofit'),
            '2c-l' => esc_html__('2 Columns: Content / Sidebar', 'forprofit'),
            '2c-r' => esc_html__('2 Columns: Sidebar / Content', 'forprofit')
        ),
    ));

    // Register Page comment manager setting
    $wp_customize->add_setting('forprofit_page_comment', array(
        'default'           => 1,
        'sanitize_callback' => 'forprofit_sanitize_checkbox',
    ));
    $wp_customize->add_control('forprofit_page_comment', array(
        'label'             => esc_html__('Enable comment on Pages', 'forprofit'),
        'section'           => 'forprofit_page',
        'priority'          => 1,
        'type'              => 'checkbox'
    ));
}
add_action('customize_register', 'forprofit_page_customize_register');
