<?php

/**
 * Post Customizer
 */

/**
 * Register the customizer.
 */
function forprofit_post_customize_register($wp_customize) {

    // Register new section: Post
    $wp_customize->add_section('forprofit_post', array(
        'title'       => esc_html__('Posts', 'forprofit'),
        'description' => esc_html__('These options is used for customizing the single post.', 'forprofit'),
        'panel'       => 'forprofit_options',
        'priority'    => 5
    ));

    // Register post layouts setting
    $wp_customize->add_setting('forprofit_post_layouts', array(
        'default'           => '2c-l',
        'sanitize_callback' => 'forprofit_sanitize_select',
    ));
    $wp_customize->add_control('forprofit_post_layouts', array(
        'label'             => esc_html__('Post Layout', 'forprofit'),
        'description'       => esc_html__('This setting will change all posts layout.', 'forprofit'),
        'section'           => 'forprofit_post',
        'priority'          => 1,
        'type'              => 'radio',
        'choices'           => array(
            '1c'   => esc_html__('1 Column Wide (Full Width)', 'forprofit'),
            '1c-n' => esc_html__('1 Column Narrow (Full Width)', 'forprofit'),
            '2c-l' => esc_html__('2 Columns: Content / Sidebar', 'forprofit'),
            '2c-r' => esc_html__('2 Columns: Sidebar / Content', 'forprofit')
        ),
    ));

    // Register Post comment manager setting
    $wp_customize->add_setting('forprofit_post_comment', array(
        'default'           => 1,
        'sanitize_callback' => 'forprofit_sanitize_checkbox',
    ));
    $wp_customize->add_control('forprofit_post_comment', array(
        'label'             => esc_html__('Enable comment on post', 'forprofit'),
        'section'           => 'forprofit_post',
        'priority'          => 1,
        'type'              => 'checkbox'
    ));

    // Register Author Box setting
    $wp_customize->add_setting('forprofit_author_box', array(
        'default'           => 1,
        'sanitize_callback' => 'forprofit_sanitize_checkbox',
    ));
    $wp_customize->add_control('forprofit_author_box', array(
        'label'             => esc_html__('Show author box', 'forprofit'),
        'section'           => 'forprofit_post',
        'priority'          => 3,
        'type'              => 'checkbox'
    ));

    // Register Post Share setting
    $wp_customize->add_setting('forprofit_post_share', array(
        'default'           => 1,
        'sanitize_callback' => 'forprofit_sanitize_checkbox',
    ));
    $wp_customize->add_control('forprofit_post_share', array(
        'label'             => esc_html__('Show share buttons', 'forprofit'),
        'section'           => 'forprofit_post',
        'priority'          => 7,
        'type'              => 'checkbox'
    ));

    // Register Related Posts setting
    $wp_customize->add_setting('forprofit_related_posts', array(
        'default'           => 1,
        'sanitize_callback' => 'forprofit_sanitize_checkbox',
    ));
    $wp_customize->add_control('forprofit_related_posts', array(
        'label'             => esc_html__('Show related posts', 'forprofit'),
        'section'           => 'forprofit_post',
        'priority'          => 9,
        'type'              => 'checkbox'
    ));
}
add_action('customize_register', 'forprofit_post_customize_register');
