<?php

/**
 * Demo importer custom function
 * We use https://wordpress.org/plugins/one-click-demo-import/ to import our demo content
 */

/**
 * Define demo file
 */
function forprofit_import_files() {
    return array(

        array(
            'import_file_name'             => 'Forprofit',
            'local_import_file'            => trailingslashit(get_template_directory()) . 'inc/demo/dummy-data.xml',
            'local_import_widget_file'     => trailingslashit(get_template_directory()) . 'inc/demo/widgets.wie',
            'local_import_customizer_file' => trailingslashit(get_template_directory()) . 'inc/demo/customizer.dat',
            'import_preview_image_url'     => trailingslashit(get_template_directory_uri()) . 'screenshot.jpg',
            'preview_url'                  => 'http://www.happythemes.com/demo/forprofit/'
        ),

    );
}
add_filter('ocdi/import_files', 'forprofit_import_files');

/**
 * After import function
 */
function forprofit_after_import_setup() {

    // Assign menus to their locations.
    $primary = get_term_by('name', 'Main', 'nav_menu');
    $footer  = get_term_by('name', 'Footer', 'nav_menu');

    set_theme_mod(
        'nav_menu_locations',
        array(
            'primary' => $primary->term_id,
            'footer'  => $footer->term_id
        )
    );

    // Update the posts per page setting.
    update_option('posts_per_page', 5);
}
add_action('ocdi/after_import', 'forprofit_after_import_setup');
